<?php
/**
 * Pixlogix Flexibleforms
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 * @category   Pixlogix
 * @package    Pixlogix_Flexibleforms
 * @copyright  Copyright (c) 2015 Pixlogix Flexibleforms (http://www.pixlogix.com/)
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

/**
 * Inquiryform block
 *
 * @category   Pixlogix
 * @package    Pixlogix_Flexibleforms
 * @author     Pixlogix Team <support@pixlogix.com>
 */
class Pixlogix_Flexibleforms_Block_Inquiryform extends Mage_Core_Block_Template
{
    /**
     * _prepareLayout for Collection
     *
     * @return Pixlogix_Flexibleforms_Block_Inquiryform
     */
    protected function _prepareLayout()
    {
        parent::_prepareLayout();
    }

    /**
     * getFormData for form data
     *
     * @return Pixlogix_Flexibleforms_Block_Inquiryform
     */
    public function getFormData($formId)
    {
        $formId = ($this->getData('id')) ? $this->getData('id') : $formId;
        $collection = Mage::getModel('flexibleforms/flexibleforms')
                        ->getCollection()
                        ->addFieldToFilter('form_status', array('eq' => 1 ))
                        ->addFieldToFilter('form_id', array('eq' => $formId ))
                        ->getFirstItem();
        return $collection;
    }

    /**
     * getFormAction to submit frontend data
     *
     * @return Pixlogix_Flexibleforms_Block_Inquiryform
     */
    public function getFormAction()
    {
        $formAction = $this->getUrl( 'flexibleforms/index/submit', array('_secure'=>true) );
        return $formAction;
    }
}